Bug 181855 - Port: sysutils/heartbeat: FreeBSD 10 Fixes
Port: sysutils/heartbeat: FreeBSD 10 Fixes
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Tijl Coosemans
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 02:10 UTC by ports
Modified: 2013-10-19 21:51 UTC (History)
0 users

See Also:


Attachments
file.diff (970 bytes, patch)
2013-09-06 02:10 UTC, ports
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2013-09-06 02:10:00 UTC
Updates for pkg-fallout build errors on FreeBSD 10.

Fix: New dependancy on devel/bison for building.

New patch file: files/patch-telecom-recoverymgrd-conf_lex.l


Patch attached with submission follows:
Comment 1 dfilter freebsd_committer 2013-10-19 21:49:45 UTC
Author: tijl
Date: Sat Oct 19 20:49:37 2013
New Revision: 330935
URL: http://svnweb.freebsd.org/changeset/ports/330935

Log:
  Fix build on FreeBSD 10.
  
  PR:		ports/181855
  Submitted by:	Justin Head <ports@encarnate.com> (maintainer)

Added:
  head/sysutils/heartbeat/files/patch-telecom-recoverymgrd-conf_lex.l   (contents, props changed)
Modified:
  head/sysutils/heartbeat/Makefile

Modified: head/sysutils/heartbeat/Makefile
==============================================================================
--- head/sysutils/heartbeat/Makefile	Sat Oct 19 20:32:54 2013	(r330934)
+++ head/sysutils/heartbeat/Makefile	Sat Oct 19 20:49:37 2013	(r330935)
@@ -3,7 +3,7 @@
 
 PORTNAME=	heartbeat
 PORTVERSION=	2.1.4
-PORTREVISION=	19
+PORTREVISION=	20
 CATEGORIES=	sysutils
 #MASTER_SITES=	http://hg.linux-ha.org/lha-2.1/archive/STABLE-2.1.4.tar.bz2
 MASTER_SITES=	${MASTER_SITE_LOCAL}
@@ -14,6 +14,8 @@ DIST_SUBDIR=	heartbeat
 MAINTAINER=	ports@encarnate.com
 COMMENT=	Subsystem for High-Availability Clustering
 
+BUILD_DEPENDS=	bison:${PORTSDIR}/devel/bison
+
 LIB_DEPENDS=	gnutls:${PORTSDIR}/security/gnutls \
 		net:${PORTSDIR}/net/libnet \
 		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid \

Added: head/sysutils/heartbeat/files/patch-telecom-recoverymgrd-conf_lex.l
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/heartbeat/files/patch-telecom-recoverymgrd-conf_lex.l	Sat Oct 19 20:49:37 2013	(r330935)
@@ -0,0 +1,14 @@
+--- telecom/recoverymgrd/conf_lex.l.orig	2008-08-18 07:32:19.000000000 -0500
++++ telecom/recoverymgrd/conf_lex.l	2013-09-05 19:11:32.000000000 -0500
+@@ -56,9 +56,11 @@
+ %{
+ FILE *yyget_out(void);
+ %}
++/*
+ %{
+ int yyget_leng(void);
+ %}
++*/
+ %{
+ char *yyget_text(void);
+ %}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Tijl Coosemans freebsd_committer 2013-10-19 21:51:08 UTC
State Changed
From-To: open->closed

Committed in r330935. 


Comment 3 Tijl Coosemans freebsd_committer 2013-10-19 21:51:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Committed in r330935.